program sorryboutthat;
var 
s:string;
a,b:array [1..100000] of int64;
n,i,j,k,l,d:int64;
begin
d:=0;
s:=' ';
readln(n);
if n mod 2 = 0 then
    begin
        for i:=1 to n div 2 do
    a[i]:=i;
        for i:=2*n - n div 2+1 to 2*n do
    a[i-n]:=i;
        for i:=n div 2+1 to 2*n - n div 2 do
    b[i-n div 2]:=i;
        for i:=1 to n do
    begin
    if i mod 2 = 0 then
   write(a[i div 2],s)
   else
 write(a[n-d],s);
inc(d);
end;
d:=0;
writeln;
    for i:=1 to n do
begin
if i mod 2 = 0 then
write(b[i div 2],s)
    else
write(b[n-d],s);
inc(d);
end;
end;
end.